1

I want to use xindy for my glossaries. The command for calling xindy which I use is

xindy -L persian-variant1 -C utf8 -I xindy -M %.xdy -t %.glg -o %.gls %.glo | xindy -L persian-variant1 -C utf8 -I xindy -M %.xdy -t %.blg -o %.bls %.blo | xindy -L english -C utf8 -I xindy -M %.xdy -t %.alg -o %.acr %.acn

The error is

xindy.pl: input file main.acn does not exist at c:\texlive\2017\texmf-dist\scripts\xindy\xindy.pl line 547.

C:\texlive\2017\bin\win32\runscript.tlu:708: command failed with exit code 2: perl.exe c:\texlive\2017\texmf-dist\scripts\xindy\xindy.pl -L english -C utf8 -I xindy -M main.xdy -t main.alg -o main.acr main.acn

I update the texlive from 2015 to texlive2017, because somewhere in the web I read it may because of texlive 2015. Now, even with update texlive 2017. The same problem with exactly the same error.

Do you know how to resolve this problem?

closed as off-topic by user36296, Sebastiano, Phelype Oleinik, Au101, Troy Aug 22 '18 at 0:25

  • This question does not fall within the scope of TeX, LaTeX or related typesetting systems as defined in the help center.
If this question can be reworded to fit the rules in the help center, please edit the question.

  • 1
    The file containing the information required by xindy (main.acn) doesn't exist, which suggests you either haven't used \makeglossaries or you've omitted the acronym package option. – Nicola Talbot Mar 2 '18 at 16:12
  • @NicolaTalbot, I used \makeglossaries. But I don't know acronym package option. What is it? Thank you. – user85361 Mar 2 '18 at 18:33
  • @NicolaTalbot, Thank you very much. I added acronym package option to calling glossaries package and the problem solved easily. Thank again. – user85361 Mar 2 '18 at 18:39
  • 4
    I'm voting to close this question as solved in comments – user36296 Aug 21 '18 at 21:01

Browse other questions tagged or ask your own question.